org.mariadb.jdbc.internal.packet

## Class ComStmtClose

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.ComStmtClose

    public class ComStmtClose
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ComStmtClose()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `send(PacketOutputStream pos, int statementId)` Send a COM_STMT_CLOSE command, to close a PREPARE statement.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComStmtClose

    public ComStmtClose()

### Method Detail

#### send

    public static void send(PacketOutputStream pos,
                            int statementId)
                     throws IOException

Send a COM_STMT_CLOSE command, to close a PREPARE statement.

Parameters:
  `pos` - packetOutput Stream
  `statementId` - statement id to close
Throws:
  `IOException` - if connection has error.